"""
Wipe PYTHONHOME environment variable for venvjailed salt-minion
"""
import os
import sys


TRANSACTIONAL = False


def __virtual__():
    global TRANSACTIONAL
    TRANSACTIONAL = __grains__.get("transactional", False)
    return True


def execute(opts, data, func, args, kwargs):
    """
    Wipe PYTHONHOME environment variable for venvjailed salt-minion
    """
    global TRANSACTIONAL
    os.environ.pop("PYTHONHOME", None)
    if sys.executable.endswith(".original"):
        sys.executable = sys.executable[:-9]
    if TRANSACTIONAL:
        return __executors__["transactional_update.execute"](
            opts, data, func, args, kwargs
        )
    return __executors__["direct_call.execute"](opts, data, func, args, kwargs)
